Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.ejb.query
Class VOAException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.eindex.master.EViewException
                  com.stc.eindex.master.ProcessingException
                      com.stc.eindex.ejb.query.QMException
                          com.stc.eindex.ejb.query.VOAException

All Implemented Interfaces:
  java.io.Serializable

public class VOAException
extends QMException

The VOAException class represents an exception thrown when an error occurs while assembling the objects used by the Query Manager and Query Builders.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`VOAException()` Creates a new instance of the VOAException class without an error message.
`VOAException(java.lang.String msg)` Creates a new instance of the VOAException class with an error message.
`VOAException(java.lang.String msg, java.lang.Throwable t)` Creates a new instance of the VOAException class with an error message and a chain of errors.
`VOAException(java.lang.Throwable t)` Creates a new instance of the VOAException class without an error message but with a chain of errors.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VOAException

    public VOAException()

  Creates a new instance of the VOAException class without an error message.

  Parameters:
    None.
  Throws:
    None.

### VOAException

    public VOAException(java.lang.String msg)

  Creates a new instance of the VOAException class with an error message.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
  Throws:
    None.

### VOAException

    public VOAException(java.lang.String msg,
                        java.lang.Throwable t)

  Creates a new instance of the VOAException class with an error message and a chain of errors.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
    `t` - The chain of errors that caused the exception.
  Throws:
    None.

### VOAException

    public VOAException(java.lang.Throwable t)

  Creates a new instance of the VOAException class without an error message but with a chain of errors.

  Parameters:
    `t` - The chain of errors that caused the exception.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.